Comments
List comments
GET
Comments left by other people on your posts, newest first. Your own comments are not included.
header
AuthorizationBearer <token>Send your key as Authorization: Bearer eksis_sk_....
status?stringValue in
"all""open""assigned""done"channels?stringComma-separated channel ids.
q?stringCase-insensitive substring of the comment text.
postId?stringOnly comments on this eksis post.
includeDisconnected?stringComments on channels that were disconnected are included unless this is false. Each row says so in channelConnected.
Default
"true"Value in
"true""false"limit?integerRows per page. Values above 100 are clamped to 100.
Range
1 <= value <= 100Default
25cursor?stringThe nextCursor from the previous page, unchanged.
One page of comments.
application/json- response
data?array<>nextCursor?|Pass back as cursor for the next page. null means this was the last page.
curl -X GET 'https://api.eksis.io/v1/comments' \ -H 'Authorization: Bearer eksis_sk_...'{ "data": [ { "id": "string", "text": "string", "status": "open", "isHidden": true, "channelId": "string", "platform": "string", "externalPostId": "string", "postId": "string", "parentId": "string", "channelConnected": true, "authorUsername": "string", "authorName": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}